#######################################################################################
#	In H4Apps environment we should have atleast one log turned on
#	to make sure all logs above warn should get into the
#									
#	FILE  = <Set the location of the logfile to output the logs>
#	LEVEL = <Should be either SEVERE or WARN or APP or DEBUG>
#		    <Log levels priority is SEVERE > WARN > APP > DEBUG >
#		    <Default setting in H4Apps is APP>			
#	FORMAT= <In Production format should be APPS>	
#		<Formats> APPS, TOOLS, TOOLS_THREAD
#	MAXFILESIZE = <The maximum file size of the log file>
#	MAXBACKUPINDEX = <Maximum number of backups that need to be maintained>
#	COMPONENTS= <The components that needs to be logged in the file>
#			<H4A setting should be RUNTIME|JAS|JDBJ>
#							
#	COMPONENTS:						
#									
#	ALL|LIB|NET|KERNEL|JDBC|RUNTIME|SAW|JAS|JASBASE|XML|OWHTML|OWPORTAL|REDIRECTOR|	
#	INTEROP|SERVICES|THREADPOOL|TE|BPM|AUTOPILOT|SUPPORTASSISTANT|MAF|PERFMON|JDBJ|
#       METADATA|PSFT|BASE|APPLOGIC|BIZLOGIC|CODEGEN|E1MENU|EVENTPROCESSOR|JAVATOKEN|
#       OET|PIMSYNC|PPM|TEXTSEARCH|WEBGUI
#######################################################################################

#The section name should be E1LOG. This logs all the log messages above WARN
[E1LOG]
FILE=/tmp/jdelog/jderoot.log
LEVEL=SEVERE
FORMAT=APPS
MAXFILESIZE=10MB
MAXBACKUPINDEX=20
COMPONENT=ALL
APPEND=TRUE

#Logging runtime and JAS above APP level will be helpful for application developers.
#Application developers should use this log as a substitute to analyze the flow of events
#in the webclient. 
[LOG1]
FILE=/tmp/jdelog/jas.log
LEVEL=APP
FORMAT=APPS
MAXFILESIZE=10MB
MAXBACKUPINDEX=20
COMPONENT=RUNTIME|JAS|JDBJ
APPEND=TRUE


#Logging runtime and JAS at DEBUG level will be helpful for tools developers.
#Tool developers should use this log ato debug tool level issues
[LOG2]
FILE=/tmp/jdelog/jasdebug.log
LEVEL=WARN
FORMAT=TOOLS_THREAD
MAXFILESIZE=10MB
MAXBACKUPINDEX=20
COMPONENT=ALL
APPEND=TRUE

